Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 307383 - net-misc/asterisk-addons-1.6.2.0-r1 (Fixed chan_ooh323 data size)
Summary: net-misc/asterisk-addons-1.6.2.0-r1 (Fixed chan_ooh323 data size)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-01 21:54 UTC by Nenad Peric
Modified: 2011-03-24 10:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Diff to asterisk-addons-1.6.2.0.ebuild (asterisk-addons-1.6.2.0.ebuild.diff,455 bytes, patch)
2010-03-01 21:55 UTC, Nenad Peric
Details | Diff
chan_ooh323.c patch to fix incorrect sizeof usage (asterisk-addons-1.6.2.0-chan_ooh323.diff,535 bytes, patch)
2010-03-01 21:57 UTC, Nenad Peric
Details | Diff
The complete ebuild (asterisk-addons-1.6.2.0-r1.ebuild,1.39 KB, text/plain)
2010-03-01 21:58 UTC, Nenad Peric
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nenad Peric 2010-03-01 21:54:51 UTC
There is a bug in chan_ooh323.c because of incorrect sizeof usage. Apparently the bug should be fixed in asterisk-addons-1.6.2.1.

Related bug reports on asterisk.org:
https://issues.asterisk.org/bug_view_page.php?bug_id=16209
https://issues.asterisk.org/view.php?id=15285
Comment 1 Nenad Peric 2010-03-01 21:55:43 UTC
Created attachment 221699 [details, diff]
Diff to asterisk-addons-1.6.2.0.ebuild
Comment 2 Nenad Peric 2010-03-01 21:57:19 UTC
Created attachment 221701 [details, diff]
chan_ooh323.c patch to fix incorrect sizeof usage
Comment 3 Nenad Peric 2010-03-01 21:58:26 UTC
Created attachment 221703 [details]
The complete ebuild
Comment 4 Tony Vroon gentoo-dev 2011-03-24 10:26:03 UTC
+*asterisk-addons-1.6.2.3 (24 Mar 2011)
+
+  24 Mar 2011; Tony Vroon <chainsaw@gentoo.org>
+  -asterisk-addons-1.6.2.0.ebuild, +asterisk-addons-1.6.2.3.ebuild:
+  Version bump. As this is newer than 1.6.2.1, it fixes the H323 observed by
+  Nenad Peric in bug #307383. LDFLAGS now respected, closes bug #334829 by
+  Diego Elio "Flameeyes" Petteno. Add missing bluez dependency as suggested by
+  Garry in bug #346673. Add missing mysql dependency as per Jaco Kroon in bug
+  #356837.